searchData={"content_type":"text/markdown","items":[{"doc":"Provides some convenient functions.","ref":"ElasticsearchEx.html","title":"ElasticsearchEx","type":"module"},{"doc":"Refer to `ElasticsearchEx.Api.Search.Core.search/2` documentation.","ref":"ElasticsearchEx.html#search/2","title":"ElasticsearchEx.search/2","type":"function"},{"doc":"Search APIs are used to search and aggregate data stored in Elasticsearch indices and data streams. For an overview and related tutorials, see [The search API](https://www.elastic.co/guide/en/elasticsearch/reference/current/search-your-data.html).\n\nMost search APIs support [multi-target syntax](https://www.elastic.co/guide/en/elasticsearch/reference/current/api-conventions.html#api-multi-index), with the exception of the [explain API](https://www.elastic.co/guide/en/elasticsearch/reference/current/search-explain.html).","ref":"ElasticsearchEx.Api.Search.Core.html","title":"ElasticsearchEx.Api.Search.Core","type":"module"},{"doc":"Returns search hits that match the query defined in the request.\n\nIt expects the first argument to be a valid Elasticsearch query represented by an Elixir `Map`.\n\n#","ref":"ElasticsearchEx.Api.Search.Core.html#search/2","title":"ElasticsearchEx.Api.Search.Core.search/2","type":"function"},{"doc":"Refer to the official [documentation](https://www.elastic.co/guide/en/elasticsearch/reference/current/search-search.html#search-search-api-query-params)\nfor a detailed list of the parameters.\n\n#","ref":"ElasticsearchEx.Api.Search.Core.html#search/2-query-parameters","title":"Query parameters - ElasticsearchEx.Api.Search.Core.search/2","type":"function"},{"doc":"Refer to the official [documentation](https://www.elastic.co/guide/en/elasticsearch/reference/current/search-search.html#search-search-api-request-body)\nfor a detailed list of the body values.\n\n#","ref":"ElasticsearchEx.Api.Search.Core.html#search/2-request-body","title":"Request body - ElasticsearchEx.Api.Search.Core.search/2","type":"function"},{"doc":"iex> ElasticsearchEx.Api.Search.Core.search(%{query: %{term: %{\"user.id\": \"kimchy\"}}},\n    ...>   from: 40,\n    ...>   size: 20\n    ...> )\n    {:ok,\n     %{\n       \"_shards\" => %{\n         \"failed\" => 0,\n         \"skipped\" => 0,\n         \"successful\" => 1,\n         \"total\" => 1\n       },\n       \"hits\" => %{\n         \"hits\" => [\n           %{\n             \"_id\" => \"0\",\n             \"_index\" => \"my-index-000001\",\n             \"_score\" => 1.3862942,\n             \"_source\" => %{\n               \"@timestamp\" => \"2099-11-15T14:12:12\",\n               \"http\" => %{\n                 \"request\" => %{\"method\" => \"get\"},\n                 \"response\" => %{\"bytes\" => 1070000, \"status_code\" => 200},\n                 \"version\" => \"1.1\"\n               },\n               \"message\" => \"GET /search HTTP/1.1 200 1070000\",\n               \"source\" => %{\"ip\" => \"127.0.0.1\"},\n               \"user\" => %{\"id\" => \"kimchy\"}\n             }\n           },\n           ...\n         ],\n         \"max_score\" => 1.3862942,\n         \"total\" => %{\"relation\" => \"eq\", \"value\" => 20}\n       },\n       \"timed_out\" => false,\n       \"took\" => 5\n     }}","ref":"ElasticsearchEx.Api.Search.Core.html#search/2-examples","title":"Examples - ElasticsearchEx.Api.Search.Core.search/2","type":"function"},{"doc":"Represents the body expected by the `search` API.","ref":"ElasticsearchEx.Api.Search.Core.html#t:search_body/0","title":"ElasticsearchEx.Api.Search.Core.search_body/0","type":"type"},{"doc":"The possible individual options accepted by the `search` function.","ref":"ElasticsearchEx.Api.Search.Core.html#t:search_opt/0","title":"ElasticsearchEx.Api.Search.Core.search_opt/0","type":"type"},{"doc":"The possible options accepted by the `search` function.","ref":"ElasticsearchEx.Api.Search.Core.html#t:search_opts/0","title":"ElasticsearchEx.Api.Search.Core.search_opts/0","type":"type"},{"doc":"Wraps the HTTP error into an Elixir exception.","ref":"ElasticsearchEx.Error.html","title":"ElasticsearchEx.Error","type":"exception"},{"doc":"","ref":"ElasticsearchEx.Error.html#t:t/0","title":"ElasticsearchEx.Error.t/0","type":"type"},{"doc":"# Elasticsearch\n\n`elasticsearch_ex` allows to interact with [Elasticsearch](https://www.elastic.co/guide/en/elasticsearch/reference/current/index.html) cluster.","ref":"readme.html","title":"Elasticsearch","type":"extras"},{"doc":"```elixir\ndef deps do\n  [\n    {:elasticsearch_ex, \"~> 0.2.0\"}\n  ]\nend\n```\n\nDocumentation can be found at https://hexdocs.pm/elasticsearch_ex.","ref":"readme.html#installation","title":"Installation - Elasticsearch","type":"extras"},{"doc":"#","ref":"readme.html#usage","title":"Usage - Elasticsearch","type":"extras"},{"doc":"```elixir\nconfig :elasticsearch_ex, url: \"https://elastic:elastic@localhost:9200\"\n```\n\n#","ref":"readme.html#configure-your-cluster","title":"Configure your cluster - Elasticsearch","type":"extras"},{"doc":"You can easily query your local Elasticsearch with:\n```elixir\nElasticsearchEx.Api.Search.Core.search(%{query: %{match_all: %{}}, size: 1}, http_opts: [ssl: [verify: :verify_none]])\n```\n\nResponse:\n```elixir\n{:ok,\n %{\n   \"_shards\" => %{\n     \"failed\" => 0,\n     \"skipped\" => 0,\n     \"successful\" => 2,\n     \"total\" => 2\n   },\n   \"hits\" => %{\n     \"hits\" => [\n       %{\n         \"_id\" => \"8uaORIwBU7w6JJjTX-8-\",\n         \"_index\" => \"my_index\",\n         \"_score\" => 1.0,\n         \"_source\" => %{\n           ...\n         }\n       }\n     ],\n     \"max_score\" => 1.0,\n     \"total\" => %{\"relation\" => \"eq\", \"value\" => 3}\n   },\n   \"timed_out\" => false,\n   \"took\" => 7\n }}\n```","ref":"readme.html#search-your-cluster","title":"Search your cluster - Elasticsearch","type":"extras"},{"doc":"# Changelog","ref":"changelog.html","title":"Changelog","type":"extras"},{"doc":"* **New features:**\n  * Delegated the function `ElasticsearchEx.Api.Search.Core.search/2` in `ElasticsearchEx` module ([PR-4](https://github.com/CoreCareinc/elasticsearch_ex/pull/4))\n  * Added a `ElasticsearchEx.Error` exception to return an error.\n\n* **Changes:**\n  * Added Credo ([PR-2](https://github.com/CoreCareinc/elasticsearch_ex/pull/2))\n  * Added Dialyxir ([PR-3](https://github.com/CoreCareinc/elasticsearch_ex/pull/3))","ref":"changelog.html#v0-2-0-2023-12-18","title":"v0.2.0 (2023-12-18) - Changelog","type":"extras"},{"doc":"* **New features:**\n  * Added the function `ElasticsearchEx.Api.Search.Core.search/2` to search Elasticsearch ([PR-1](https://github.com/CoreCareinc/elasticsearch_ex/pull/1))","ref":"changelog.html#v0-1-0-2023-12-02","title":"v0.1.0 (2023-12-02) - Changelog","type":"extras"}]}